=== debian/changelog ===
xtensor-blas (0.18.0-2) unstable; urgency=medium

  * Rename header library as libxtensor-blas-dev
    - Depends: libxtensor-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Apr 2021 10:23:51 +0200

xtensor-blas (0.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #985020)
    - xtensor-blas builds against xtensor 0.22.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Mar 2021 00:37:24 +0100
