## xtensor-blas 0.19.1

=== debian/changelog ===
xtensor-blas (0.19.1-6) unstable; urgency=medium

  * debian patch relax_lapack_cholevsky_test_tolerance_PR212.patch
    applies upstream PR#212 to relax the tolerances in
    xlapack.solveCholesky, needed for 32-bit arches to pass the test.
    Closes: Bug#996616.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Oct 2021 11:19:47 +0200

xtensor-blas (0.19.1-5) unstable; urgency=medium

  * debian patch fix_sphinx_api.patch updates sphinx API to fix doc
    build (upstream Issue #210).

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Oct 2021 23:58:34 +0200

xtensor-blas (0.19.1-4) experimental; urgency=medium

  * build docs only for arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Sep 2021 19:35:47 +0200

xtensor-blas (0.19.1-3) experimental; urgency=medium

  * debian patch test_native.patch checks availability before adding
    -march=native to options when compiling tests. Closes: #986823.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 11:48:21 +0200

xtensor-blas (0.19.1-2) experimental; urgency=medium

  * upload new package structure (libxtensor-blas-dev) for 0.19.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Jul 2021 17:04:11 +0200

xtensor-blas (0.19.1-1) experimental; urgency=medium

  * New upstream release.
    - Depends: xtensor-dev (>= 0.23.3~)

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Apr 2021 17:41:28 +0200

xtensor-blas (0.19.0-1) experimental; urgency=medium

  * New upstream release.
    - this xtensor-blas builds against xtensor 0.23.0
  * fix source package name in debian/watch
  * add debian patches
    - fix_dot_xtensor_0.23.1.patch fixes dot product in
      tests for xtensor 0.23.1, see upstream Issue#184.
    - find_generic_blas.patch instructs cmake to find generic
      libblas.so
  * set bounded Depends: xtensor-dev (>= 0.23.0~), xtensor-dev (<< 0.24)
  * mark libopenblas-dev as preferred over libblis-dev, since there is
    a specific option in CMakefileLists.txt to use OpenBLAS (used in
    xflens/cxxblas, not xtensor-blas itself)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Mar 2021 18:41:11 +0100

xtensor-blas (0.18.0-3) unstable; urgency=medium

  * fix spelling in libxtensor-blas-dev Replaces: xtensor-blas-dev
    (not "Replace:"). Closes: #990847.

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Jul 2021 00:41:48 +0200
