=== debian/changelog ===
xtensor-blas (0.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Nov 2021 18:53:12 +0100

xtensor-blas (0.19.1-7) unstable; urgency=medium

  * switch off -march=native on mipsel, where tests are flakey
    (success depends on specific CPU model).
    cmake config flag -Darch_native_supported=OFF
  * override dh_auto_clean to remove build-generated headers
    (xblas_config_cling.hpp)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Oct 2021 15:48:44 +0200
