=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1),
- libxtensor-dev (>= 0.22.0~), libxtensor-dev (<< 0.23.0),
- libblas-dev | libblis-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ libxtensor-dev (>= 0.23.3~), libxtensor-dev (<< 0.24),
+ libblas-dev | libopenblas-dev | libblis-dev | libatlas-base-dev | libblas.so,
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
  googletest <!nocheck>,
  python3-breathe <!nodoc>,
@@ -12,7 +12,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  sphinx-common,
  libjs-mathjax <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/xtensor-stack/xtensor-blas
 Vcs-Browser: https://salsa.debian.org/science-team/xtensor-blas
@@ -23,12 +23,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libxtensor-dev (>= 0.22.0~), libxtensor-dev (<< 0.23.0),
- libblis-dev | libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
+Depends: libxtensor-dev (>= 0.23.3~), libxtensor-dev (<< 0.24),
+ libopenblas-dev | libblis-dev | libatlas-base-dev | libblas-dev | libblas.so,
  libopenblas-dev | libatlas-base-dev | liblapack-dev | liblapack.so,
  ${misc:Depends}
 Breaks: xtensor-blas-dev (<< 0.18.0-2~)
-Replace: xtensor-blas-dev (<< 0.18.0-2~)
+Replaces: xtensor-blas-dev (<< 0.18.0-2~)
 Description: an extension to xtensor offering bindings to BLAS and LAPACK
  xtensor-blas is an extension to the header-only xtensor library,
  offering bindings to BLAS and LAPACK libraries through cxxblas and
