=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/default.mk
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 BUILD_OPTIONS+=-DBUILD_TESTS=ON \
@@ -10,8 +12,20 @@
 BUILD_OPTIONS+=-DBUILD_TESTS=OFF
 endif
 
+# -march=native on mipsel is unreliable,
+# success depends on the machine (specific CPU model)
+# Best to just switch off -march=native
+# (allow it on other arches in order to test the typical user experience)
+ifneq (,$(findstring $(DEB_HOST_ARCH),mipsel))
+  BUILD_OPTIONS += -Darch_native_supported=OFF
+endif
+
 %:
 	dh $@ --with sphinxdoc
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f include/xtensor-blas/xblas_config_cling.hpp
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(BUILD_OPTIONS)
