=== debian/tests/control ===
Test-Command: set -e
 ; cp -r ./test/* "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with gcc:"
 ; mkdir build && cd build
 ; CC=gcc CXX=g++ cmake .. -DGTEST_SRC_DIR="/usr/src/googletest"
 ; CTEST_OUTPUT_ON_FAILURE=1 make -j $(nproc) xtest
Depends: cmake,
 g++,
 googletest,
 libxtensor-dev,
 libxtensor-blas-dev
Restrictions: allow-stderr

Test-Command: set -e
 ; cp -r ./test/* "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with clang:"
 ; mkdir build && cd build
 ; CC=clang CXX=clang++ cmake .. -DGTEST_SRC_DIR="/usr/src/googletest"
 ; CTEST_OUTPUT_ON_FAILURE=1 make -j $(nproc) xtest
Depends: clang,
 cmake,
 googletest,
 libxtensor-dev,
 libxtensor-blas-dev
Restrictions: allow-stderr
